function start()
	shopPortal = Portal:new{x=4, y=9}
	shopkeeper = Object:new{x=4, y=3, anim_set="Seaside_shopkeeper"}
	shop = Object:new{x=4, y=5}
end

function stop()
end

function update(step)
	shopPortal:update()

	if (shopPortal.go_time) then
		transitionOut()
		setObjectPosition(0, 36, 8)
		setObjectDirection(0, DIRECTION_SOUTH)
		if (getMilestone(MS_BEAT_TODE)) then
			startArea("seaside_repaired")
		else
			startArea("seaside")
		end
		clearBuffer()
		updateArea()
		drawArea()
		transitionIn()
	end
end

function activate(activator, activated)
	if (activated == shop.id) then
		if (not getMilestone(MS_BEAT_TODE)) then
			doDialogue("Shopkeeper: Luckily for me, when the fires started, I had a rain spell!\n", true)
		end
		doShop("Shopkeeper", "Seaside_shopkeeper", 7, ITEM_VITAL1, 10, ITEM_HEAL, 25, ITEM_ELIXIR, 100, ITEM_HOLY_WATER, 200, ITEM_IRON_STAFF, 75, ITEM_CLOTH_ROBE, 50, ITEM_SANDALS, 50)
	end
end

function collide(id1, id2)
end

